Update flag trigger
Update a flag trigger. Updating a flag trigger uses the semantic patch format.
To make a semantic patch request, you must append domain-model=launchdarkly.semanticpatch to your Content-Type header. To learn more, read Updates using semantic patch.
Instructions
Semantic patch requests support the following kind instructions for updating flag triggers.
Click to expand instructions for updating flag triggers
replaceTriggerActionInstructions
Removes the existing trigger action and replaces it with the new instructions.
Parameters
value: An array of the newkinds of actions to perform when triggering. Supported flag actions areturnFlagOnandturnFlagOff.
Here’s an example that replaces the existing action with new instructions to turn flag targeting off:
cycleTriggerUrl
Generates a new URL for this trigger. You must update any clients using the trigger to use this new URL.
Here’s an example:
disableTrigger
Disables the trigger. This saves the trigger configuration, but the trigger stops running. To re-enable, use enableTrigger.
Here’s an example:
enableTrigger
Enables the trigger. If you previously disabled the trigger, it begins running again.
Here’s an example:
Path Parameters
Body
Response
Flag trigger response